# Package org.apache.coyote.http2

- Interface Summary
  Interface | Description
  --- | ---
  HpackEncoder.HpackHeaderFunction |

- Class Summary
  Class | Description
  --- | ---
  ByteUtil | Utility class for extracting values from byte arrays.
  ConnectionSettingsBase<T extends Throwable> |
  ConnectionSettingsLocal | Represents the local connection settings i.e. the settings the client is expected to use when communicating with the server.
  ConnectionSettingsRemote | Represents the remote connection settings: i.e. the settings the server must use when communicating with the client.
  Constants |
  Flags |
  HeaderSink | Purpose of this class is to silently swallow any headers.
  HpackDecoder | A decoder for HPACK.
  HpackEncoder | Encoder for HPACK frames.
  HPackHuffman |
  HPackHuffman.HuffmanCode |
  Http2OutputBuffer |
  Http2Protocol |
  Http2UpgradeHandler | This represents an HTTP/2 connection from a client to Tomcat.
  Stream |
  StreamStateMachine | See state diagram in RFC 7540.

- Enum Summary
  Enum | Description
  --- | ---
  FrameType |
  HpackEncoder.State |
  Http2Error |
  Setting |

- Exception Summary
  Exception | Description
  --- | ---
  ConnectionException | Thrown when an HTTP/2 connection error occurs.
  HpackException | Exception that is thrown when the HPACK compress context is broken.
  Http2Exception |
  StreamException | Thrown when an HTTP/2 stream error occurs.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.